Last modified: 2011-05-21 00:26:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28669 - Scream bloody murder when user chooses MyISAM and InnoDB is available
Scream bloody murder when user chooses MyISAM and InnoDB is available
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
1.18.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: patch, patch-reviewed
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-23 07:15 UTC by Max Semenik
Modified: 2011-05-21 00:26 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch for this bug (2.33 KB, patch)
2011-05-20 02:54 UTC, William Demchick
Details

Description Max Semenik 2011-04-23 07:15:45 UTC
We live in new shiny 3rd millenium, yet MyISAM doesn't support transactions causing lulz like bug 28611; it's also more prone to corruption. To prevent users from making the mistake of choosing MyISAM, we should warn them sternly, just explaining it in help is not enough.
Comment 1 Platonides 2011-05-05 21:23:36 UTC
We have special code in the main classes for manually rollbacking changes in MyISAM (ugly! ugly!). But most of our codebase doesn't take caution for a transactionless db, so there are probably many places which could go wrong with MyISAM nowadays.
Comment 2 William Demchick 2011-05-20 02:54:09 UTC
Created attachment 8561 [details]
Patch for this bug

Here's a patch to have the installer "scream bloody murder."  I think it addresses the concerns raised.
Comment 3 Mark A. Hershberger 2011-05-20 21:10:22 UTC
r88484
Comment 4 p858snake 2011-05-21 00:24:34 UTC
-need-review+reviewed since mah would of checked it over before applying to trunk.
Comment 5 Mark A. Hershberger 2011-05-21 00:26:29 UTC
(In reply to comment #4)
> -need-review+reviewed since mah would of checked it over before applying to
> trunk.

and other people made follow-up commits for the things I missed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links